Newsgroups: comp.databases.oracle
From: ronk@beta.lanl.gov (Ronald John Krantz)
Subject: Oracle7 performance problem
Message-ID: <1994Feb11.171022.29656@newshost.lanl.gov>
Sender: news@newshost.lanl.gov
Organization: Los Alamos National Laboratory
Date: Fri, 11 Feb 1994 17:10:22 GMT
Lines: 43


We are seeing a significant performance drop while running a specific
application on Oracle7 as compared to Oracle v6.  A SQL select statement
that requires 10 seconds on v6 requires well over 3 minutes on Oracle7.
Although we have many other forms and reports that have excellent 
Oracle7 performance values, the troubling SQL statement is used in many 
reports and is forcing this application to return to v6 until the problem
is diagnosed.

Both instances are running under VMS 5.5-2 (hence the same SYSGEN params),
are run from the same account (same quotas), have identical sga sizes,
have the same indexes applied to the same tables containing the same data,
and have, where possible, nearly the same init.ora parameters.  Thanks in
advance if you have had a similar experience and can share a solution.

This is a sketch of the statement in question:

select COLUMNS
  from VIEW1
  where COLUMNA = value
union select COLUMNS
  from VIEW2
  where COLUMNA = value
union select COLUMNS
  from VIEW3
  where COLUMNA = value
union select COLUMNS
  from VIEW4
  where COLUMNA = value
union select COLUMNS
  from VIEW5
  where COLUMNA = value
union select COLUMNS
  from VIEW6
  where COLUMNA = value
union select COLUMNS
  from VIEW7
  where COLUMNA = value
order by 1,6
-- 
*******************************************************************************
Ron Krantz                                                        
MS B295                                         Internet: ronk@lanl.gov 
Los Alamos National Laboratory                  Voice:    (505) 665-5231  

